#ifndef _Handle_PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString_HeaderFile
#define _Handle_PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString);

class Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString)(const Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString)(const PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString)& operator=(const Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString)& operator=(const PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString* operator->() const 
     {
      return (PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_VArrayNodeOfFieldOfHArray1OfExtendedString) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
